Update a user by ID

Partially updates an internal user. Returns status 209 if the user was updated but sending the email change verification mail failed.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of the user to update

Body Params
string

The login email of the user. Must be unique per tenant.

string

The first name of the user.

string

The last name of the user.

string

The job position of the user.

string

A workspace-unique reference to this user in an external system. Must be unique per tenant.

string
enum

The selected system language.

string
enum

The selected timezone.

string

The role to assign: an internal default-role shorthand (adminUser, managerUser, fullUser, viewerUser) or a role id from GET /v1/users/roles.

groupIds
array of strings

User group ids from GET /v1/users/groups. Replaces existing memberships.

groupIds
Responses
204

User updated

209

User updated but sending email change verification mail was not successful

400

Bad Request

403

Forbidden

404

Not Found

409

A user with this email already exists

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!